	.text
	.globl	func
	.type	func, @function
func:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x20, %rsp
	mov	%rdi, %rax
	mov	%rax, 0x0(%rsp)
	mov	%rsi, %rax
	mov	%rax, 0x8(%rsp)
	mov	%rdx, %rax
	mov	%rax, 0x10(%rsp)
	mov	$.LC0, %rax
	mov	%rax, %rdi
	mov	0x0(%rsp), %rax
	mov	%rax, %rsi
	mov	0x8(%rsp), %rax
	mov	%rax, %rdx
	mov	0x10(%rsp), %rax
	mov	%rax, %rcx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	0x0(%rsp), %rax
	mov	0x8(%rsp), %rdx
	add	%rdx, %rax
	mov	%rax, 0x18(%rsp)
	mov	0x18(%rsp), %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret
	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
	mov	$0xa, %rax
	mov	%rax, %rdi
	mov	$0x14, %rax
	mov	%rax, %rsi
	mov	$.LC1, %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	func
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	$.LC2, %rax
	mov	%rax, %rdi
	mov	%rbx, %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC2:	.string	"%d\n"
.LC1:	.string	"abc"
.LC0:	.string	"%d %d %s\n"
